cvpnssn.vo

## Class AnnullaPrescrizioneNSSNResponse

- java.lang.Object
- - cvpnssn.vo.AnnullaPrescrizioneNSSNResponse

-     public class AnnullaPrescrizioneNSSNResponse
      extends java.lang.Object

  Risposta del web-service setAnnullaPrescrizioneNSSN.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codEsitoAnnullamento` Codice esito dell’operazione.
    `private java.lang.String` | `dataRicezione` Data di ricezione della transazione calcolata dal SAC
    `private ElencoAnomaliaNSSN` | `elencoAnomaliaNSSN` Lista delle anomalie per le prescrizioni NSSN
    `private ElencoComunicazioni` | `elencoComunicazioneNSSN` Lista delle comunicazioni ritornate dal SAC per le prescrizioni NSSN
    `private java.lang.String` | `nrbe` Numero ricetta bianca elettronica (NRBE)
    `private java.lang.String` | `pinNrbe` Numero breve univoco per paziente e per anno di prescrizione.
    `private java.lang.String` | `protocolloTransazione` Identificativo univoco della transazione, sempre valorizzato

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnullaPrescrizioneNSSNResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodEsitoAnnullamento()`
    `java.lang.String` | `getDataRicezione()`
    `ElencoAnomaliaNSSN` | `getElencoAnomaliaNSSN()`
    `ElencoComunicazioni` | `getElencoComunicazioneNSSN()`
    `java.lang.String` | `getNrbe()`
    `java.lang.String` | `getPinNrbe()`
    `java.lang.String` | `getProtocolloTransazione()`
    `void` | `setCodEsitoAnnullamento(java.lang.String codEsitoAnnullamento)`
    `void` | `setDataRicezione(java.lang.String dataRicezione)`
    `void` | `setElencoAnomaliaNSSN(ElencoAnomaliaNSSN elencoAnomaliaNSSN)`
    `void` | `setElencoComunicazioneNSSN(ElencoComunicazioni elencoComunicazioneNSSN)`
    `void` | `setNrbe(java.lang.String nrbe)`
    `void` | `setPinNrbe(java.lang.String pinNrbe)`
    `void` | `setProtocolloTransazione(java.lang.String protocolloTransazione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protocolloTransazione

          private java.lang.String protocolloTransazione

      Identificativo univoco della transazione, sempre valorizzato

    - #### dataRicezione

          private java.lang.String dataRicezione

      Data di ricezione della transazione calcolata dal SAC

    - #### nrbe

          private java.lang.String nrbe

      Numero ricetta bianca elettronica (NRBE)

    - #### pinNrbe

          private java.lang.String pinNrbe

      Numero breve univoco per paziente e per anno di prescrizione.

    - #### codEsitoAnnullamento

          private java.lang.String codEsitoAnnullamento

      Codice esito dell’operazione.Valori possibili:
      - 0000 = annullamento andato a buon fine senza presenza di segnalazioni
      - 0001 = annullamento andato a buon fine ma con presenza di segnalazioni
      - 9999 = annullamento non avvenuto

    - #### elencoAnomaliaNSSN

          private ElencoAnomaliaNSSN elencoAnomaliaNSSN

      Lista delle anomalie per le prescrizioni NSSN

    - #### elencoComunicazioneNSSN

          private ElencoComunicazioni elencoComunicazioneNSSN

      Lista delle comunicazioni ritornate dal SAC per le prescrizioni NSSN

  - ### Constructor Detail

    - #### AnnullaPrescrizioneNSSNResponse

          public AnnullaPrescrizioneNSSNResponse()

  - ### Method Detail

    - #### getProtocolloTransazione

          public java.lang.String getProtocolloTransazione()

    - #### setProtocolloTransazione

          public void setProtocolloTransazione(java.lang.String protocolloTransazione)

    - #### getDataRicezione

          public java.lang.String getDataRicezione()

    - #### setDataRicezione

          public void setDataRicezione(java.lang.String dataRicezione)

    - #### getNrbe

          public java.lang.String getNrbe()

    - #### setNrbe

          public void setNrbe(java.lang.String nrbe)

    - #### getPinNrbe

          public java.lang.String getPinNrbe()

    - #### setPinNrbe

          public void setPinNrbe(java.lang.String pinNrbe)

    - #### getCodEsitoAnnullamento

          public java.lang.String getCodEsitoAnnullamento()

    - #### setCodEsitoAnnullamento

          public void setCodEsitoAnnullamento(java.lang.String codEsitoAnnullamento)

    - #### getElencoAnomaliaNSSN

          public ElencoAnomaliaNSSN getElencoAnomaliaNSSN()

    - #### setElencoAnomaliaNSSN

          public void setElencoAnomaliaNSSN(ElencoAnomaliaNSSN elencoAnomaliaNSSN)

    - #### getElencoComunicazioneNSSN

          public ElencoComunicazioni getElencoComunicazioneNSSN()

    - #### setElencoComunicazioneNSSN

          public void setElencoComunicazioneNSSN(ElencoComunicazioni elencoComunicazioneNSSN)